Outbound Shipment Items

GET/shipments/outbound/{outbound_shipment}/outbound-shipment-item

List items in an outbound shipment

Required attributes

  • Name
    outbound_shipment
    Type
    integer
    Description
    The ID of the outbound shipment 1

Request

GET/shipments/outbound/{outbound_shipment}/outbound-shipment-item
curl -G https://YOUR_DOMAIN/api/shipments/outbound/{outbound-shipment}/outbound-shipment-item \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json"
Loading response...
POST/shipments/outbound/{outbound_shipment}/outbound-shipment-item

Add an item to an outbound shipment

Required attributes

  • Name
    outbound_shipment
    Type
    integer
    Description
    The ID of the outbound shipment 1
  • Name
    item_id
    Type
    integer
    Description
    The ID of the inventory item to add 1
  • Name
    quantity
    Type
    integer
    Description
    The quantity of the item to add 10

Optional attributes

  • Name
    expiry_date
    Type
    string
    Description
    The expiry date for this item in YYYY-MM-DD format 2025-01-01

Request

POST/shipments/outbound/{outbound_shipment}/outbound-shipment-item
curl -X POST https://YOUR_DOMAIN/api/shipments/outbound/{outbound-shipment}/outbound-shipment-item \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "item_id": 1,
    "quantity": 10,
    "expiry_date": "2025-01-01"
}'
Loading response...
PATCH/shipments/outbound/{outbound_shipment}/outbound-shipment-item/{outbound_shipment_item}

Update an item in an outbound shipment

Required attributes

  • Name
    outbound_shipment
    Type
    integer
    Description
    The ID of the outbound shipment 1
  • Name
    outbound_shipment_item
    Type
    integer
    Description
    The ID of the outbound shipment item 1

Optional attributes

  • Name
    quantity
    Type
    integer
    Description
    The updated quantity of the item 10
  • Name
    expiry_date
    Type
    string
    Description
    The updated expiry date in YYYY-MM-DD format 2025-01-01

Request

PATCH/shipments/outbound/{outbound_shipment}/outbound-shipment-item/{outbound_shipment_item}
curl -X PATCH https://YOUR_DOMAIN/api/shipments/outbound/{outbound-shipment}/outbound-shipment-item/{outbound-shipment-item} \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "quantity": 10,
    "expiry_date": "2025-01-01"
}'
Loading response...
DELETE/shipments/outbound/{outbound_shipment}/outbound-shipment-item/{outbound_shipment_item}

Remove an item from an outbound shipment

Required attributes

  • Name
    outbound_shipment
    Type
    integer
    Description
    The ID of the outbound shipment 1
  • Name
    outbound_shipment_item
    Type
    integer
    Description
    The ID of the outbound shipment item 1

Request

DELETE/shipments/outbound/{outbound_shipment}/outbound-shipment-item/{outbound_shipment_item}
curl -X DELETE https://YOUR_DOMAIN/api/shipments/outbound/{outbound-shipment}/outbound-shipment-item/{outbound-shipment-item} \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json"
Loading response...